//----------------------------------------------------------------------------
// C main line
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules


void main(void)
{
	// M8C_EnableGInt ; // Uncomment this line to enable Global Interrupts
	// Insert your main routine code here.
	unsigned char bADCData;
	/* Enable Interrupt for ADC  */
	M8C_EnableGInt ;
 
	/* Initialize all User Modules  */
	LCD_1_Start();
	PGA_1_Start(PGA_1_HIGHPOWER);
	ADCINC_1_Start(ADCINC_1_HIGHPOWER);
 
	/* Run ADC continuously  */
	ADCINC_1_GetSamples(0);
 
	while(1)  /* Loop forever  */
	{
    	if(ADCINC_1_fIsDataAvailable() != 0)
    	/* If data is valid display on LCD  */
    	{
        	/* Read ADC Result  */
        	bADCData = ADCINC_1_bGetData();
   
        	/* Display on LCD  */
        	LCD_1_Position(0,0);
        	LCD_1_PrHexByte(bADCData);
   
        	/* Clear ADC flag for next reading */
        	ADCINC_1_fClearFlag();
    	}
	} 
}
